package com.muyu.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-20-14:18
 * @ Version：1.0
 * @ Description：数据库结构
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "children", autoResultMap = true)
public class Children extends BaseEntity {
    /**
     * 主键
     */
    @Excel(name = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 表名
     */
    @Excel(name = "表名")
    private String name;
    /**
     * 表注释
     */
    @Excel(name = "表注释")
    private String annotation;
    /**
     * 数据条数
     */
    @Excel(name = "数据条数")
    private Integer dataTotal;
    /**
     * 数据源
     */
    @Excel(name = "数据源id")
    private Integer assetId;

}
