package com.muyu.source.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-21-14:17
 * @ Version：1.0
 * @ Description：数据源
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class DataSourceQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 接入源名称
     */
    private String name;

    /**
     * 数据来源系统名称
     */
    private String systemName;

}
